Bug 149306 - NetworkManager - Wireless network not in range when WEP enabled
NetworkManager - Wireless network not in range when WEP enabled
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: NetworkManager (Show other bugs)
4.0
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-22 01:56 EST by Scott Newberry
Modified: 2008-02-12 08:48 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-12 08:48:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Newberry 2005-02-22 01:56:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041215 Firefox/1.0 Red Hat/1.0-12.EL4

Description of problem:
When I attempt to connect to a wireless network with no encryption,
everything works as expected.  When attempting to use
NetworkManagerInfo to connect to a wireless network with WEP (64-bit
or 128-bit), right at about the time I would expect it to pop up and
ask me for a WEP key, instead I get a message that the selected
wireless network does not appear to be in range.  Running "iwconfig
eth1" shows that my WEP key is set to
1111-1111-1111-1111-1111-1111-11.  If I stop NetworkManager and use
iwconfig to set enc to the proper key, I have no problem connecting.

Version-Release number of selected component (if applicable):
NetworkManager-0.3.1-3

How reproducible:
Always

Steps to Reproduce:
1. Start NetworkManager and run NetworkManagerInfo
2. Click on the applet, then select a wireless network that has
encryption enabled.
3. Wait for the message to pop up.
    

Actual Results:  I get a dialog box that says "The requested wireless
network 'newberryit' does not appear to be in range.  A different
wireless network will be used if any are available."

Expected Results:  Expected a dialog box requesting the WEP key.

Additional info:

This is on a Dell Inspiron 8600, with the Dell Truemobile 1300
Mini-PCI 802.11g card (Broadcom).  Using latest Driverloader from the
Linuxant website.  Tried enabling the stacks workaround to see if that
had anything to do with it.
Comment 1 Dan Williams 2005-05-16 16:16:57 EDT
Do more recent versions of NetworkManager help this in any way?  0.3.4-1 is in
fc3-updates...
Comment 2 Dan Williams 2008-02-12 08:48:47 EST
Closing as no response for a long time...

Note You need to log in before you can comment on or make changes to this bug.